<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: mtext.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>mtext.c File Reference</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga1a82c0d7283e62698119ac9c46b3fa8a">mtext</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a new M-text.  <a href="group__m17nMtext.html#ga1a82c0d7283e62698119ac9c46b3fa8a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga2114a8366b5aaee6b5d344f69ea5dd78">mtext_from_data</a> (const void *data, int nitems, enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a> format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocate a new M-text with specified data.  <a href="group__m17nMtext.html#ga2114a8366b5aaee6b5d344f69ea5dd78"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga58dfc38b90385749199caa5e6bc10ec4">mtext_data</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a> *fmt, int *nunits, int *pos_idx, int *unit_idx)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get information about the text data in M-text.  <a href="group__m17nMtext.html#ga58dfc38b90385749199caa5e6bc10ec4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga28ea3879a9dae45127bd62499645c7c3">mtext_len</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Number of characters in M-text.  <a href="group__m17nMtext.html#ga28ea3879a9dae45127bd62499645c7c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga29fd21f8bd3b80a09628ea2dc62db3e5">mtext_ref_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the character at the specified position in an M-text.  <a href="group__m17nMtext.html#ga29fd21f8bd3b80a09628ea2dc62db3e5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga1378506cd336f1d2029672991ecf8973">mtext_set_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Store a character into an M-text.  <a href="group__m17nMtext.html#ga1378506cd336f1d2029672991ecf8973"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga21036a5bc066530f7cf9196fbb568efd">mtext_cat_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append a character to an M-text.  <a href="group__m17nMtext.html#ga21036a5bc066530f7cf9196fbb568efd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gacd7bdc22fa2aacc6cfb3630697e6d3f9">mtext_dup</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a copy of an M-text.  <a href="group__m17nMtext.html#gacd7bdc22fa2aacc6cfb3630697e6d3f9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf0a0af628d6e4d69fbacea149885a72d">mtext_cat</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append an M-text to another.  <a href="group__m17nMtext.html#gaf0a0af628d6e4d69fbacea149885a72d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gafd2fa9c1080067533e584e92ebe15f5c">mtext_ncat</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Append a part of an M-text to another.  <a href="group__m17nMtext.html#gafd2fa9c1080067533e584e92ebe15f5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa9f56201d62d4f39e8a64b4460450ba4">mtext_cpy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy an M-text to another.  <a href="group__m17nMtext.html#gaa9f56201d62d4f39e8a64b4460450ba4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga83df72acd6f78cec009b642e0afdcfee">mtext_ncpy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy the first some characters in an M-text to another.  <a href="group__m17nMtext.html#ga83df72acd6f78cec009b642e0afdcfee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga2349c5cda40d1880c0c560be4c69c911">mtext_duplicate</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new M-text from a part of an existing M-text.  <a href="group__m17nMtext.html#ga2349c5cda40d1880c0c560be4c69c911"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga45dcea52c2d59bcd129af5e8323593cf">mtext_copy</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Copy characters in the specified range into an M-text.  <a href="group__m17nMtext.html#ga45dcea52c2d59bcd129af5e8323593cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga592d9cfe5c76ee384568c053ad7ea8b5">mtext_del</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Delete characters in the specified range destructively.  <a href="group__m17nMtext.html#ga592d9cfe5c76ee384568c053ad7ea8b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga38ed0e4b19ec03ad6d522ab433acde4e">mtext_ins</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert an M-text into another M-text.  <a href="group__m17nMtext.html#ga38ed0e4b19ec03ad6d522ab433acde4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga39d820131ec741f5822b206f44dce2df">mtext_insert</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from, int to)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert sub-text of an M-text into another M-text.  <a href="group__m17nMtext.html#ga39d820131ec741f5822b206f44dce2df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga683d68d84b907bcac211cbdea41c1e70">mtext_ins_char</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int pos, int c, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Insert a character into an M-text.  <a href="group__m17nMtext.html#ga683d68d84b907bcac211cbdea41c1e70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga715661081379ea5a29e591e6601547ba">mtext_replace</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Replace sub-text of M-text with another.  <a href="group__m17nMtext.html#ga715661081379ea5a29e591e6601547ba"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga8b8d4053c6c7bc47507bad39f3d332f2">mtext_character</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int from, int to, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search a character in an M-text.  <a href="group__m17nMtext.html#ga8b8d4053c6c7bc47507bad39f3d332f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga7d3f44053118699084e94f1e8493c787">mtext_chr</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the position of the first occurrence of a character in an M-text.  <a href="group__m17nMtext.html#ga7d3f44053118699084e94f1e8493c787"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabb69a4f045cb215091e8cb02f491f4fd">mtext_rchr</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int c)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the position of the last occurrence of a character in an M-text.  <a href="group__m17nMtext.html#gabb69a4f045cb215091e8cb02f491f4fd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf2d025d985da7b4f98d07c81fdd500cb">mtext_cmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two M-texts character-by-character.  <a href="group__m17nMtext.html#gaf2d025d985da7b4f98d07c81fdd500cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga23fa60794f929caca8c73abebac241cf">mtext_ncmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare initial parts of two M-texts character-by-character.  <a href="group__m17nMtext.html#ga23fa60794f929caca8c73abebac241cf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf514b386c0d6469ed56e7806901d2434">mtext_compare</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare specified regions of two M-texts.  <a href="group__m17nMtext.html#gaf514b386c0d6469ed56e7806901d2434"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaaa4ce420a94b2e407ad388fc9141af7a">mtext_spn</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *accept)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for a set of characters.  <a href="group__m17nMtext.html#gaaa4ce420a94b2e407ad388fc9141af7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gad4ed9687e60b2cb6f363b244bb756ac8">mtext_cspn</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *reject)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for the complement of a set of characters.  <a href="group__m17nMtext.html#gad4ed9687e60b2cb6f363b244bb756ac8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga9f1ba03d5415f9161c02bc02c5341323">mtext_pbrk</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *accept)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Search an M-text for any of a set of characters.  <a href="group__m17nMtext.html#ga9f1ba03d5415f9161c02bc02c5341323"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gab9ba74b25f75a7395d237f98d43fc50f">mtext_tok</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *delim, int *pos)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Look for a token in an M-text.  <a href="group__m17nMtext.html#gab9ba74b25f75a7395d237f98d43fc50f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa8d53b235cd63fb544fa868c8dd00319">mtext_text</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int pos, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locate an M-text in another.  <a href="group__m17nMtext.html#gaa8d53b235cd63fb544fa868c8dd00319"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaa2328a6f85eb2f1f0cdbb51c1e09d294">mtext_search</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from, int to, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Locate an M-text in a specific range of another.  <a href="group__m17nMtext.html#gaa2328a6f85eb2f1f0cdbb51c1e09d294"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabc63537384fb25bccd996e35a9bbc908">mtext_casecmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare two M-texts ignoring cases.  <a href="group__m17nMtext.html#gabc63537384fb25bccd996e35a9bbc908"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga9b232386c4307b95dd42685236dc3ce9">mtext_ncasecmp</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int n)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare initial parts of two M-texts ignoring cases.  <a href="group__m17nMtext.html#ga9b232386c4307b95dd42685236dc3ce9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga250784b22861845abac509f0d8324be5">mtext_case_compare</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt1, int from1, int to1, <a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt2, int from2, int to2)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Compare specified regions of two M-texts ignoring cases.  <a href="group__m17nMtext.html#ga250784b22861845abac509f0d8324be5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gab2a252c7ef64c168467475f0e4ffe072">mtext_lowercase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Lowercase an M-text.  <a href="group__m17nMtext.html#gab2a252c7ef64c168467475f0e4ffe072"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gabca0474405604234294cc5a4e341ca18">mtext_titlecase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Titlecase an M-text.  <a href="group__m17nMtext.html#gabca0474405604234294cc5a4e341ca18"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#gaf8dbb06e910d0f87dbb53d4426977d4f">mtext_uppercase</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Uppercase an M-text.  <a href="group__m17nMtext.html#gaf8dbb06e910d0f87dbb53d4426977d4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589">mdebug_dump_mtext</a> (<a class="el" href="group__m17nMtext.html#gae8bba45315c15c8f79ec4a73ebc52aec">MText</a> *mt, int indent, int fullp)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump an M-text.  <a href="group__m17nDebug.html#ga52ba04c9aee68a3b57700c6c9f003589"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum <a class="el" href="group__m17nMtext.html#ga4148a7a6fd502d4fb4a786d9fdb7da59">MTextFormat</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga985ecc7ae135b77919af483d12d4d337">MTEXT_FORMAT_UTF_16</a> = MTEXT_FORMAT_UTF_16LE</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Variable of value MTEXT_FORMAT_UTF_16LE or MTEXT_FORMAT_UTF_16BE.  <a href="group__m17nMtext.html#ga985ecc7ae135b77919af483d12d4d337"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga3e3b72f642ea80b03cf0644325fccfbe">MTEXT_FORMAT_UTF_32</a> = MTEXT_FORMAT_UTF_32LE</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Variable of value MTEXT_FORMAT_UTF_32LE or MTEXT_FORMAT_UTF_32BE.  <a href="group__m17nMtext.html#ga3e3b72f642ea80b03cf0644325fccfbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nMtext.html#ga32374f3750874ea0142af8dac831ab25">Mlanguage</a></td></tr>
</table>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
